aboutsummaryrefslogtreecommitdiff
path: root/apps
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:56:32 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:56:32 +0000
commit6f1885bc7b5ffdcec1954364c7acad20c25821b8 (patch)
tree04e5f78bb77df3c11d9587dd95248ee8cf3b204f /apps
parent65d91a2968762e5a75b14364bf35a01d79431b4e (diff)
downloadslackbuilds-6f1885bc7b5ffdcec1954364c7acad20c25821b8.tar.gz
slackbuilds-6f1885bc7b5ffdcec1954364c7acad20c25821b8.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@689 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'apps')
-rwxr-xr-xapps/arch/unrar/unrar.SlackBuild109
-rwxr-xr-xapps/misc/wipe/wipe.SlackBuild30
-rwxr-xr-xapps/misc/wipe/wipe.build112
-rwxr-xr-xapps/text/unrtf/unrtf.SlackBuild121
4 files changed, 372 insertions, 0 deletions
diff --git a/apps/arch/unrar/unrar.SlackBuild b/apps/arch/unrar/unrar.SlackBuild
new file mode 100755
index 00000000..1f977d26
--- /dev/null
+++ b/apps/arch/unrar/unrar.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+#
+# slackbuild script for unrar
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="unrar"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.40}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="unrarlib040.tar.bz2"
+URL="http://www.unrarlib.org/download/$SRC"
+PATCH="unrarlib040-unrar-patch-ab.tar.gz"
+PATCH_URL="http://www.unrarlib.org/download/contribution/$PATCH"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ]; then
+ if [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+ fi
+
+ if [ ! -f "$SRC_DIR/$PATCH" ]; then
+ wget "$PATCH_URL" -O "$SRC_DIR/$PATCH"
+ fi
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar zxvf $SRC_DIR/$PATCH
+tar xvf$tarflag $SRC_DIR/$SRC
+cd unrarlib040-unrar-patch-ab
+cp ../unrarlib-0.4.0/unrarlib/* .
+
+make || exit 32
+
+mkdir -p $TMP/package-$PACKAGE/usr/{bin,doc/$PACKAGE-$VERSION}
+cp unrar $TMP/package-$PACKAGE/usr/bin
+cp readme.txt $TMP/package-$PACKAGE/usr/doc/$PACKAGE-$VERSION/readme-unrar.txt
+cp ../unrarlib-0.4.0/{gpl,licence,unrarlib-license}.txt $TMP/package-$PACKAGE/usr/doc/$PACKAGE-$VERSION
+cp ../unrarlib-0.4.0/readme.txt $TMP/package-$PACKAGE/usr/doc/$PACKAGE-$VERSION/readme-unrarlib.txt
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+unrar: unrar (unpack RAR 2 archives)
+unrar:
+unrar:
+unrar:
+unrar:
+unrar:
+unrar:
+unrar:
+unrar:
+unrar:
+unrar:
+EOF
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/apps/misc/wipe/wipe.SlackBuild b/apps/misc/wipe/wipe.SlackBuild
new file mode 100755
index 00000000..631fed79
--- /dev/null
+++ b/apps/misc/wipe/wipe.SlackBuild
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# SlackBuild script to call wipe.build with correct settings
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="wipe"
+VERSION=${VERSION:=2.2.0}
+ARCH="${ARCH:=i486}"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
+
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP/$PACKAGE
+fi
diff --git a/apps/misc/wipe/wipe.build b/apps/misc/wipe/wipe.build
new file mode 100755
index 00000000..59c4e1ff
--- /dev/null
+++ b/apps/misc/wipe/wipe.build
@@ -0,0 +1,112 @@
+#!/bin/bash
+#
+# build script for wipe
+# by rhatto at riseup.net
+# build it with slacktrack, example:
+#
+# ARCH=x86_64 slacktrack -jefkzp "wipe-2.2.0-x86_64-1rha.tgz" "./wipe.build"
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="wipe"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.2.0}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/wipe/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+autoheader
+autoconf
+./configure --prefix=/usr --sysconfdir=/etc/$PACKAGE --libdir=$LIBDIR
+make || exit 32
+make install
+
+CWD="`pwd`"
+
+# strip --strip-unneeded /usr/bin/wipe
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+wipe: wipe (secure deletion of files from magnetic media)
+wipe:
+wipe: Wipe repeatedly writes special patterns to the file or files to be
+wipe: destroyed, using the fsync() call and/or the O_SYNC bit to force
+wipe: disk access, in order to lessen the chance of data recovery using
+wipe: techniques such as magnetic force microscopy.
+wipe:
+wipe:
+wipe:
+wipe:
+wipe:
+EOF
+
+# docs
+mv /usr/doc/$PACKAGE /usr/doc/$PACKAGE-$VERSION
+# mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+# for file in CHANGES INSTALL LICENSE README TESTING TODO; do
+# cp $CWD/$file* /usr/doc/$PACKAGE-$VERSION/
+# done
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/apps/text/unrtf/unrtf.SlackBuild b/apps/text/unrtf/unrtf.SlackBuild
new file mode 100755
index 00000000..748995e8
--- /dev/null
+++ b/apps/text/unrtf/unrtf.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# slackbuild script for unrtf
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building unrtf are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="unrtf"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.20.2}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE"_"$VERSION.tar.$PACKAGE_EXT"
+URL="http://www.gnu.org/software/unrtf/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd "$PACKAGE"_"$VERSION"
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+unrtf: unrtf (Rich Text to other formats converter)
+unrtf:
+unrtf: UnRTF is a command-line program written in C which converts
+unrtf: documents in Rich Text (.rtf) format to HTML, LaTeX, PostScript
+unrtf: and other formats. Converting to HTML, it supports a number of
+unrtf: features of Rich Text Format, like changes in text appearence,
+unrtf: background and foreground colors.
+unrtf:
+unrtf:
+unrtf:
+unrtf:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+